### Type parameters

- #### T

### Hierarchy

- IAtomComponent
  - IData

## Index

### Properties

- app
- data
- element
- localViewModel
- viewModel

### Methods

- bind
- bindEvent
- runAfterInit
- setLocalValue

## Properties

### app

app: object

Inherited from IAtomComponent.app

- Defined in src/core/Bind.ts:8

#### Type declaration

### data

data: T

Overrides IAtomComponent.data

- Defined in src/core/Bind.ts:93

### element

element: any

Inherited from IAtomComponent.element

- Defined in src/core/Bind.ts:4

### localViewModel

localViewModel: any

Inherited from IAtomComponent.localViewModel

- Defined in src/core/Bind.ts:6

### viewModel

viewModel: any

Inherited from IAtomComponent.viewModel

- Defined in src/core/Bind.ts:5

## Methods

### bind

- bind(e: any, name: string, path: any, twoWays: boolean, converter: any, source?: any): any

- Inherited from IAtomComponent.bind

  - Defined in src/core/Bind.ts:14

  #### Parameters

  - ##### e: any

  - ##### name: string

  - ##### path: any

  - ##### twoWays: boolean

  - ##### converter: any

  - ##### Optional source: any

  #### Returns any

### bindEvent

- bindEvent(e: any, name: string, handler: any): any

- Inherited from IAtomComponent.bindEvent

  - Defined in src/core/Bind.ts:13

  #### Parameters

  - ##### e: any

  - ##### name: string

  - ##### handler: any

  #### Returns any

### runAfterInit

- runAfterInit(f: function): void

- Inherited from IAtomComponent.runAfterInit

  - Defined in src/core/Bind.ts:11

  #### Parameters

  - ##### f: function

    - - (): void

      - #### Returns void

### setLocalValue

- setLocalValue(e: any, name: string, value: any): void

- Inherited from IAtomComponent.setLocalValue

  - Defined in src/core/Bind.ts:12

  #### Parameters

  - ##### e: any

  - ##### name: string

  - ##### value: any

  #### Returns void

Generated using TypeDoc